package com.sxc.etaxincome.domain.model.report;

import com.sxc.etaxincome.domain.model.common.BusinessCommonRequestWrapper;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class ForceReportRequestWrapper extends BusinessCommonRequestWrapper {
    /**
     * ？？？
     */
    private String pch;
    /**
     * 申报序号
     */
    private String sbxh;
    /**
     * 申报种类
     */
    private String reportType;
    /**
     * 强制提交原因
     */
    private String forceReason;
}
