package com.sxc.etaxincome.domain.model.report;

import com.sxc.etaxincome.domain.model.common.BusinessCommonRequestWrapper;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class QueryReportItemRequestWrapper extends BusinessCommonRequestWrapper {
    /**
     * 税款所属期（起）
     */
    private String declareDateStart;
    /**
     * 税款所属期（止）
     */
    private String declareDateEnd;
    /**
     * 申报uuid
     */
    private String sbuuid;
    /**
     * 报表id
     */
    private String reportType;
}
