package com.sxc.etaxincome.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 实时统计小时表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-07-02 16:32:19
 */
@TableName("fin_count_report")
public class FinCountReport implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 操作用户
     */
    private String userName;

    /**
     * 地区
     */
    private String zoneCode;

    /**
     * 请求成功数量
     */
    private Integer successNum;

    /**
     * 请求失败数量
     */
    private Integer failNum;

    /**
     * 请求税号数量
     */
    private Integer taxnoNum;

    /**
     * 请求接口数量
     */
    private Integer faceNum;

    /**
     * 请求合计数量
     */
    private Integer totalNum;

    /**
     * 统计时间
     */
    private LocalDateTime countDate;

    /**
     * 统计月份
     */
    private String countMonth;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 统计类型
     */
    private String countType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
    public String getZoneCode() {
        return zoneCode;
    }

    public void setZoneCode(String zoneCode) {
        this.zoneCode = zoneCode;
    }
    public Integer getSuccessNum() {
        return successNum;
    }

    public void setSuccessNum(Integer successNum) {
        this.successNum = successNum;
    }
    public Integer getFailNum() {
        return failNum;
    }

    public void setFailNum(Integer failNum) {
        this.failNum = failNum;
    }
    public Integer getTaxnoNum() {
        return taxnoNum;
    }

    public void setTaxnoNum(Integer taxnoNum) {
        this.taxnoNum = taxnoNum;
    }
    public Integer getFaceNum() {
        return faceNum;
    }

    public void setFaceNum(Integer faceNum) {
        this.faceNum = faceNum;
    }
    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }
    public LocalDateTime getCountDate() {
        return countDate;
    }

    public void setCountDate(LocalDateTime countDate) {
        this.countDate = countDate;
    }
    public String getCountMonth() {
        return countMonth;
    }

    public void setCountMonth(String countMonth) {
        this.countMonth = countMonth;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCountType() {
        return countType;
    }

    public void setCountType(String countType) {
        this.countType = countType;
    }

    @Override
    public String toString() {
        return "FinCountReport{" +
            "id=" + id +
            ", userName=" + userName +
            ", zoneCode=" + zoneCode +
            ", successNum=" + successNum +
            ", failNum=" + failNum +
            ", taxnoNum=" + taxnoNum +
            ", faceNum=" + faceNum +
            ", totalNum=" + totalNum +
            ", countDate=" + countDate +
            ", countMonth=" + countMonth +
            ", createTime=" + createTime +
            ", countType=" + countType +
        "}";
    }
}
