package com.sxc.etaxincome.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxc.etaxincome.entity.EtaxReportApiConfig;
import com.sxc.etaxincome.mapper.EtaxReportApiConfigMapper;
import com.sxc.etaxincome.service.IEtaxReportApiConfigService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-04-23 15:27:40
 */
@Service
public class EtaxReportApiConfigServiceImpl extends ServiceImpl<EtaxReportApiConfigMapper, EtaxReportApiConfig> implements IEtaxReportApiConfigService {

    @Override
    public EtaxReportApiConfig queryOne(EtaxReportApiConfig etaxReportApiConfigCriteria) {
        try {
            Wrapper<EtaxReportApiConfig> queryWrapper = Wrappers.<EtaxReportApiConfig>lambdaQuery()
                    .eq(etaxReportApiConfigCriteria.getId() != null, EtaxReportApiConfig::getId, etaxReportApiConfigCriteria.getId())
                    .eq(StringUtils.isNotBlank(etaxReportApiConfigCriteria.getApiCode()), EtaxReportApiConfig::getApiCode, etaxReportApiConfigCriteria.getApiCode());
            return this.getOne(queryWrapper);
        } catch(Exception e) {
            log.error("query param config list error:", e);
            return new EtaxReportApiConfig();
        }
    }
}
